#ifndef VOLLABEL_H
#define VOLLABEL_H

#include <QtDBus/QDBusInterface>
#include <QtGui/QLabel>

#include "haldev.h"

class HalVolumeLabel : public QLabel
{
    Q_OBJECT
    org::freedesktop::Hal::Device intf;
    QString description;
    QString mountpoint;

    void update_label();
public:
    HalVolumeLabel(QWidget * parent, const QString & udi_, QDBusConnection conn = QDBusConnection::systemBus());
public slots:
    void propChanged(int serial, const QList<HalPropertyChange> & propchanges);
};

#endif // SCSIDEVLABEL_H
